View Issue Details

IDProjectCategoryView StatusLast Update
0035124FPCFCLpublic2019-08-30 09:21
ReporterhanAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSOS Version
Product Version3.0.4Product BuildLazarus 2.0 
Target VersionFixed in Version3.3.1 
Summary0035124: fcl-image, fpreadPNG, retrieve image information like grayscale
DescriptionUsing fcl-image, fpwritePNG I can write 16 bit grayscale images E.g.

Code: [Select]

  with TFPWriterPNG(Writer) do
  begin
    indexed := false;
    wordsized := true;
    UseAlpha := false;
    GrayScale := true;
  end;


However there seems no way to read these parameters GrayScale or Wordsize in fpreaderPNG.

In astronomy grayscale images are very common and to be stacked, so I like to read this info to process the data further. If the image is monochrome, it doesn't makes sense to process the data as RGB colours.

Suggest improve the reader to provide this information public as boolean which should be a minor modification.

Same question for the TIFF format FpreadTIFF.

see also my post:
https://forum.lazarus.freepascal.org/index.php/topic,44340.0.html
TagsNo tags attached.
Fixed in Revision42876
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

han

2019-02-21 09:18

reporter   ~0114324

Most efficient way would be to simply make the values of the following variables public available:

- Colortype
- BitDepth

Michael Van Canneyt

2019-08-30 09:21

administrator   ~0117871

Added raw & convience props to PNG reader. Please test and close if OK

Issue History

Date Modified Username Field Change
2019-02-20 21:19 han New Issue
2019-02-21 09:18 han Note Added: 0114324
2019-02-21 15:03 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-02-21 15:03 Michael Van Canneyt Status new => assigned
2019-08-30 09:21 Michael Van Canneyt Status assigned => resolved
2019-08-30 09:21 Michael Van Canneyt Resolution open => fixed
2019-08-30 09:21 Michael Van Canneyt Fixed in Version => 3.3.1
2019-08-30 09:21 Michael Van Canneyt Fixed in Revision => 42876
2019-08-30 09:21 Michael Van Canneyt FPCTarget => 3.2.0
2019-08-30 09:21 Michael Van Canneyt Note Added: 0117871